VCMD0028041000000000COMPONENT          
Node "rSimResource"
{
ProductFamily VisualComponentsBase
AuthoringHash "v1:7348f6c74f64f5a9d8f0e018f6574fa3ea8da3ee92252e64f2c3d3f639bf5a5c"
Name "Change ConveyorSpeed "
Id 1
NodeClass 
{
Id 1
Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
VariableSpace
{
  Variable "rTVariable<rString>"
  {
    Name "Name"
    Value "Block"
    Group 0
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group 1
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rMaterialVariable"
  {
    Name "Material"
    Value ""
    Group 2
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
  Variable "rTExpressionVariable<rDouble>"
  {
    Name "Length"
    Value
    {
      Expression "1000.00 {mm}"
    }
    Group 3
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
  Variable "rTExpressionVariable<rDouble>"
  {
    Name "Width"
    Value
    {
      Expression "1000.00 {mm}"
    }
    Group 4
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
  Variable "rTExpressionVariable<rDouble>"
  {
    Name "Height"
    Value
    {
      Expression "1000.00 {mm}"
    }
    Group 5
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
}
Length 
{
  Expression "1000.00 {mm}"
}

Width 
{
  Expression "1000.00 {mm}"
}

Height 
{
  Expression "1000.00 {mm}"
}

}
VCID "a1bb2d57-94bc-4953-9ed9-f351208c5fa0"
}
Functionality "rPythonScript"
{
Id 1
Name "PythonScript"
Visible 1
ScriptLanguage 1
Script "from vcScript import *\n\ncomp = getComponent()
\napp = getApplication()\n
\ndef OnStart():
\n  updateSpeed(speed_prop)
\n
\ndef updateSpeed(arg):
\n  conveyorList = selectComp_prop.Value
\n  
\n  for conv in conveyorList:
\n    for convProps in conv.Properties:
\n      if convProps.Name == \"ConveyorSpeed\":
\n        convProps.Value = speed_prop.Value
\n        break
\n\nselectComp_prop = comp.getProperty('SelectConveyors')
\n#To create a property to select components:
\n#if not selectComp_prop:
\n#  selectComp_prop = comp.createProperty('List<Ref<Component>>','SelectConveyors')
\n
\nspeed_prop = comp.getProperty('ConveyorSpeed')
\nspeed_prop.OnChanged = updateSpeed
\n
\n
\n
\n"
CompatibilityMode 0
}
VCID a1bb2d57-94bc-4953-9ed9-f351208c5fa0
OriginalUri vcid:a1bb2d57-94bc-4953-9ed9-f351208c5fa0
Revision 0
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
ActiveSimulationLevel detailed
BOMname  "NewComponent"

BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTPointerListVariable<Component>"
  {
    Name "SelectConveyors"
    Value
    {
 "Conveyor #2" "Inline Process #18" "Inline Process #9" "Inline Proces\
s #17" "Inline Process #16" "Inline Process #26" "Inline Process #33" "Inline Pr\
ocess #31" "Inline Process #30" "Inline Process #29" "Inline Process #28" "Inlin\
e Process #27" "Inline Process #10" "Inline Process #11" "Inline Process #32" "I\
nline Process #34" "Inline Process #35" "Inline Process #36" "Inline Process #2\
0" "Inline Process #39" "Inline Process #44" "Inline Process #19" "Inline Proces\
s #2" "Inline Process #6" "Inline Process" "Inline Process #3" "Inline Process #\
7" "Inline Process #43" "Inline Process #38" "Inline Process #8" "Inline Process\
 #37" "Inline Process #12" "Inline Process #4" "Inline Process #21" "Inline Proc\
ess #5" "Inline Process #46" "Inline Process #24" "Inline Process #25" "Inline P\
rocess #45" "Inline Process #23" "Inline Process #22" "Inline Process #40" "Inli\
ne Process #41" "Inline Process #42" "Conveyor #22" "Conveyor #17" "Conveyor #4"
    }
    Group 10
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "ConveyorSpeed"
    Value 500
    Group 30
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
    Quantity "Velocity" "VectorQuantity"
    {
      Groups
      {
        UnitGroup "Capacity"
        {
          Unit
          {
            Name "meters per hour"
            Suffix "[m/h]"
            Factor 1
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
        }
        UnitGroup "Metrische Geschwindigkeit Roth Rau"
        {
          Unit
          {
            Name "Meter pro Minute"
            Suffix "m/min"
            Factor 16.6666679382324
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
          Family "Test"
          Family "US degrees"
        }
        UnitGroup "Metrische Geschwindigkeit_Rippert"
        {
          Unit
          {
            Name "Meter pro Minute"
            Suffix "m/min"
            Factor 16.6666660308838
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
          Family "US degrees"
        }
        UnitGroup "Metrische Geschwindigkeit_m/min"
        {
          Unit
          {
            Name "Meter pro Minute"
            Suffix "m/min"
            Factor 16.6666660308838
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
          Family "US degrees"
        }
        UnitGroup "Test_m_min"
        {
          Unit
          {
            Name "Meter pro min"
            Suffix "m/min"
            Factor 16.6666889190674
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
        }
      }
    }
    Magnitude 1
  }
}
}
